> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapio.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a GitHub repository

> Get a repository's public detail by owner and repo name.



## OpenAPI

````yaml get /v1/github/repo
openapi: 3.1.0
info:
  title: Scrapio
  version: 1.0.0
  description: >-
    Turn any URL into structured data. Fetch raw HTML, crawl sites, extract
    structured content, interact with dynamic pages, and search the web through
    one API.
  contact:
    name: Scrapio Support
    url: https://scrapio.dev
  license:
    name: Proprietary
servers:
  - url: https://api.scrapio.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: System
  - name: Fetch
  - name: Crawl
  - name: Map
  - name: Interact
  - name: Search
  - name: Google
  - name: Fast Search
  - name: Jobs
  - name: YouTube
  - name: Amazon
  - name: Walmart
  - name: Booking
  - name: Agoda
  - name: Airbnb
  - name: AutoTrader
  - name: ChatGPT
  - name: Perplexity
  - name: Gemini
  - name: Bing
  - name: Reddit
  - name: Instagram
  - name: Twitter
  - name: Facebook
  - name: Hacker News
  - name: GitHub
  - name: TikTok
  - name: Apple App Store
  - name: Target
  - name: Monitors
paths:
  /v1/github/repo:
    get:
      tags:
        - GitHub
      summary: Get a GitHub repository's public detail
      description: >-
        Retrieves a single repository's public detail via GitHub's REST API:
        description, stars, forks, primary language, license, and owner.
        Requires a Starter plan or higher.
      operationId: getGithubRepo
      parameters:
        - name: owner
          in: query
          required: true
          schema:
            type: string
            minLength: 1
        - name: repo
          in: query
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: The resolved GitHub repository detail.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GithubRepoResponse'
        '400':
          description: Missing or invalid owner/repo.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: GitHub dedicated endpoints require a Starter plan or higher.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: The requested repository could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Daily credit cap exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: GitHub upstream failed or returned an unusable response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: GitHub upstream unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: >-
            curl
            "https://api.scrapio.dev/v1/github/repo?owner=anthropics&repo=claude-code"
            \
              -H "Authorization: Bearer $SCRAPIO_API_KEY"
components:
  schemas:
    GithubRepoResponse:
      type: object
      properties:
        provider:
          type: string
          enum:
            - github
        request_id:
          type: string
        repo:
          type: object
          properties:
            full_name:
              type: string
            description:
              anyOf:
                - type: string
                - type: 'null'
            owner:
              type: object
              properties:
                username:
                  type: string
                avatar_url:
                  type: string
              required:
                - username
                - avatar_url
              additionalProperties: false
            language:
              anyOf:
                - type: string
                - type: 'null'
            topics:
              type: array
              items:
                type: string
            stats:
              type: object
              properties:
                stars:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                forks:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                open_issues:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
              required:
                - stars
                - forks
                - open_issues
              additionalProperties: false
            is_fork:
              type: boolean
            is_archived:
              type: boolean
            created_at:
              type: string
            updated_at:
              type: string
            homepage:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - full_name
            - description
            - owner
            - language
            - topics
            - stats
            - is_fork
            - is_archived
            - created_at
            - updated_at
            - homepage
          additionalProperties: false
      required:
        - provider
        - request_id
        - repo
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
        diagnostics:
          type: object
          properties:
            outcome:
              type: string
              enum:
                - failed
            retryable:
              type: boolean
            blocked:
              type: boolean
            timed_out:
              type: boolean
          required:
            - outcome
            - retryable
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````